Rational, part of collection of the [Boost C++ Libraries](https://github.com/boostorg), provides an implementation of rational numbers.

### License

Distributed under the [Boost Software License, Version 1.0](https://www.boost.org/LICENSE_1_0.txt).

### Properties

* C++11
* Header-Only

### Build Status

<!-- boost-ci/tools/makebadges.sh --project rational --appveyor ieim2q28u1ksc8i7 --codecov GWRPyIttVH --coverity 16002 -->
| Branch          | GHA CI | Appveyor | Coverity Scan | codecov.io | Deps | Docs | Tests |
| :-------------: | ------ | -------- | ------------- | ---------- | ---- | ---- | ----- |
| [`master`](https://github.com/boostorg/rational/tree/master) | [![Build Status](https://github.com/boostorg/rational/actions/workflows/ci.yml/badge.svg?branch=master)](https://github.com/boostorg/rational/actions?query=branch:master) | [![Build status](https://ci.appveyor.com/api/projects/status/ieim2q28u1ksc8i7/branch/master?svg=true)](https://ci.appveyor.com/project/cppalliance/rational/branch/master) | [![Coverity Scan Build Status](https://scan.coverity.com/projects/16002/badge.svg)](https://scan.coverity.com/projects/boostorg-rational) | [![codecov](https://codecov.io/gh/boostorg/rational/branch/master/graph/badge.svg?token=GWRPyIttVH)](https://codecov.io/gh/boostorg/rational/tree/master) | [![Deps](https://img.shields.io/badge/deps-master-brightgreen.svg)](https://pdimov.github.io/boostdep-report/master/rational.html) | [![Documentation](https://img.shields.io/badge/docs-master-brightgreen.svg)](https://www.boost.org/doc/libs/master/libs/rational) | [![Enter the Matrix](https://img.shields.io/badge/matrix-master-brightgreen.svg)](https://www.boost.org/development/tests/master/developer/rational.html)
| [`develop`](https://github.com/boostorg/rational/tree/develop) | [![Build Status](https://github.com/boostorg/rational/actions/workflows/ci.yml/badge.svg?branch=develop)](https://github.com/boostorg/rational/actions?query=branch:develop) | [![Build status](https://ci.appveyor.com/api/projects/status/ieim2q28u1ksc8i7/branch/develop?svg=true)](https://ci.appveyor.com/project/cppalliance/rational/branch/develop) | [![Coverity Scan Build Status](https://scan.coverity.com/projects/16002/badge.svg)](https://scan.coverity.com/projects/boostorg-rational) | [![codecov](https://codecov.io/gh/boostorg/rational/branch/develop/graph/badge.svg?token=GWRPyIttVH)](https://codecov.io/gh/boostorg/rational/tree/develop) | [![Deps](https://img.shields.io/badge/deps-develop-brightgreen.svg)](https://pdimov.github.io/boostdep-report/develop/rational.html) | [![Documentation](https://img.shields.io/badge/docs-develop-brightgreen.svg)](https://www.boost.org/doc/libs/develop/libs/rational) | [![Enter the Matrix](https://img.shields.io/badge/matrix-develop-brightgreen.svg)](https://www.boost.org/development/tests/develop/developer/rational.html)

### Directories

| Name        | Purpose                        |
| ----------- | ------------------------------ |
| `include`   | header                         |
| `test`      | unit tests                     |

### More information

* [Ask questions](https://stackoverflow.com/questions/ask?tags=c%2B%2B,boost,boost-rational)
* [Report bugs](https://github.com/boostorg/rational/issues): Be sure to mention Boost version, platform and compiler you're using. A small compilable code sample to reproduce the problem is always good as well.
* Submit your patches as pull requests against **develop** branch. Note that by submitting patches you agree to license your modifications under the [Boost Software License, Version 1.0](https://www.boost.org/LICENSE_1_0.txt).
* Discussions about the library are held on the [Boost developers mailing list](https://www.boost.org/community/groups.html#main). Be sure to read the [discussion policy](https://www.boost.org/community/policy.html) before posting and add the `[rational]` tag at the beginning of the subject line.

